Invite a developer to a workspace
curl --request POST \
--url https://global.thenile.dev/workspaces/{workspaceSlug}/invites \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "jsmith@example.com",
"programmatic": true
}
'import requests
url = "https://global.thenile.dev/workspaces/{workspaceSlug}/invites"
payload = {
"email": "jsmith@example.com",
"programmatic": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({email: 'jsmith@example.com', programmatic: true})
};
fetch('https://global.thenile.dev/workspaces/{workspaceSlug}/invites', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"sender": {
"id": "<string>",
"email": "<string>",
"workspaces": [
{
"name": "<string>",
"slug": "<string>",
"id": "<string>",
"stripe_customer_id": "<string>",
"created": "2023-11-07T05:31:56Z"
}
],
"databases": [
"<string>"
]
},
"email": "<string>",
"workspace": {
"name": "<string>",
"slug": "<string>",
"id": "<string>",
"stripe_customer_id": "<string>",
"created": "2023-11-07T05:31:56Z"
},
"created": "2023-11-07T05:31:56Z",
"updated": "2023-11-07T05:31:56Z"
}{
"message": "<string>",
"statusCode": 123
}{
"message": "<string>",
"statusCode": 123
}{
"message": "<string>",
"statusCode": 123
}developers
Invite a developer to a workspace
Sends an email to another developer with a link that allows them to join the workspace.
POST
/
workspaces
/
{workspaceSlug}
/
invites
Invite a developer to a workspace
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Contact information for the invitee
Response
Invite created successfully. An email will be sent.
Was this page helpful?
⌘I